<?
/*
 
 本软件版权归作者所有,在投入使用之前注意获取许可
 作者：程威（wiwiboy）
 项目：PHPStat流量统计 1.0
 电话：13553166317
 邮箱：wiwiboy@126.com
 QQ号：158839753
 网址：http://www.phpstat.net
 phpstat.net保留全部权力，受相关法律和国际		  		
		公约保护，请勿非法修改、转载、散播，或用于其他赢利行为，		
		并请勿删除版权声明。
*/
/*	
	verson:v1.0 20060618
	author:wiwiboy
	last update:2007/01/01	$time 23:34
*/	

	if( count( $WeekDatas ) > 0)
	{			
		$Tpl->assign( 'WeekDatas', $WeekDatas );		
	}
	if( count( $MTmp ) > 0)
	{		
		foreach( $MTmp as $Key => $Value)
		{	
			
			$MonthDatas[$Key][month_count_agv] = sprintf("%01.2f",$Value[month_count]/$Value[month_count_ip]);
			$MonthDatas[$Key][month_count]	   = splitstr($Value[month_count]);
			$MonthDatas[$Key][month_count_ip]  = splitstr($Value[month_count_ip]);
			$MonthDatas[$Key][times]           = date("Y-m", $Value[times] );
		}
		$Tpl->assign( 'MonthDatas', $MonthDatas );
	}
	if( count( $YTmp ) > 0)
	{
		$YearDatas[0][times]            = date("Y", $YTmp[0][times] );
		$YearDatas[0][year_count_agv] = sprintf("%01.2f",$YTmp[0][year_count]/$YTmp[0][year_count_ip]);
		$YearDatas[0][year_count]	    = splitstr($YTmp[0][year_count]);
		$YearDatas[0][year_count_ip]    = splitstr($YTmp[0][year_count_ip]);
	}
	$Tpl->assign( 'YearDatas', $YearDatas );
	$Tpl->assign( 'Type', '3' );
	$Tpl->assign( 'ReportTitle', date("Y",$StartTime)."年报表" );

?>